Update node pool
curl --request PUT \
--url https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"name": "workers-a"
},
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 5,
"compute": {
"flavorId": "g.8.standard"
},
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": {
"accelerator": "nvidia-h100"
}
}
}
'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID}"
payload = {
"metadata": { "name": "workers-a" },
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 5,
"compute": { "flavorId": "g.8.standard" },
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": { "accelerator": "nvidia-h100" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {name: 'workers-a'},
spec: {
clusterId: '1e44f19a-21a9-43cc-a460-5d6f21247f65',
provisioningMode: 'compute',
replicas: 5,
compute: {flavorId: 'g.8.standard'},
taints: [{key: 'nvidia.com/gpu', effect: 'NoSchedule'}],
labels: {accelerator: 'nvidia-h100'}
}
})
};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "600f9b41-1a97-4b85-b69f-901839678772",
"generation": 6,
"name": "workers-a",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-05-14T10:15:00.000Z",
"provisioningStatus": "provisioning",
"healthStatus": "unknown",
"tags": [
{
"name": "role",
"value": "worker"
}
]
},
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 5,
"compute": {
"flavorId": "g.8.standard"
},
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": {
"accelerator": "nvidia-h100"
}
},
"status": {
"regionId": "uk-lon-1",
"observedGeneration": 5,
"kubernetesVersion": "v1.32.3",
"desiredReplicas": 3,
"currentReplicas": 3,
"readyReplicas": 3
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "conflict",
"error_description": "a resource with the same name already exists",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "request_entity_too_large",
"error_description": "request body exceeds the maximum allowed size",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "unprocessable_content",
"error_description": "the request body was in the wrong format",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Node Pools
Update node pool
Update a node pool.
PUT
/
api
/
v1
/
nodepools
/
{nodePoolID}
Update node pool
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Opaque public node pool ID. Opaque public resource ID.
Required string length:
1 - 128Body
application/json
Node pool update request.
Response
A node pool. The example shows a newly accepted resize before its generation has converged.
A cluster node pool.
Was this page helpful?